'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCmf = require('react-cmf');

var _ButtonDispatcher = require('../ButtonDispatcher');

var _ButtonDispatcher2 = _interopRequireDefault(_ButtonDispatcher);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @param	{object} props [description]
 * @example
<ButtonsDispatcher contentType="article" category="primary"/>
 */
function ButtonsDispatcher(props, context) {

	var actions = _reactCmf.api.action.getContentTypeActions(context, props.contentType, props.category);
	var nProps = {
		icon: props.icon,
		hideLabel: props.hideLabel,
		btn: props.btn
	};
	return _react2.default.createElement(
		'div',
		null,
		actions.map(function (action, i) {
			return _react2.default.createElement(_ButtonDispatcher2.default, _extends({
				action: action,
				key: i
			}, nProps));
		})
	);
}

var propTypes = Object.assign({}, _ButtonDispatcher2.default.propTypes);
delete propTypes.action;
delete propTypes.model;
delete propTypes.onClick;

ButtonsDispatcher.propTypes = Object.assign(propTypes, {
	contentType: _react2.default.PropTypes.string.isRequired,
	category: _react2.default.PropTypes.string.isRequired,
	icon: _react2.default.PropTypes.bool,
	hideLabel: _react2.default.PropTypes.bool,
	btn: _react2.default.PropTypes.string
});

ButtonsDispatcher.contextTypes = {
	store: _react2.default.PropTypes.object
};
exports.default = ButtonsDispatcher;