'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCmf = require('react-cmf');

var _LinkDispatcher = require('../LinkDispatcher');

var _LinkDispatcher2 = _interopRequireDefault(_LinkDispatcher);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @example
<LinksDispatcher contentType="article" category="primary" />
 */
function LinksDispatcher(props, context) {
	var actions = _reactCmf.api.action.getContentTypeActions(context, props.contentType, props.category);
	return _react2.default.createElement(
		'div',
		null,
		actions.map(function (action, i) {
			return _react2.default.createElement(_LinkDispatcher2.default, _extends({
				action: action,
				key: i
			}, props));
		})
	);
}

LinksDispatcher.propTypes = {
	contentType: _react2.default.PropTypes.string.isRequired,
	category: _react2.default.PropTypes.string.isRequired,
	icon: _react2.default.PropTypes.bool
};

LinksDispatcher.contextTypes = {
	store: _react2.default.PropTypes.object
};
exports.default = LinksDispatcher;