'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactBootstrap = require('react-bootstrap');

var _LinkDispatcher = require('../LinkDispatcher');

var _LinkDispatcher2 = _interopRequireDefault(_LinkDispatcher);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Checkout the {@link http://talend.github.io/react-cmf-bootstrap/examples/build/#/SidePanel|examples}
 * @param {object} props react props
 */
var SidePanel = function (_React$Component) {
	_inherits(SidePanel, _React$Component);

	function SidePanel(props) {
		_classCallCheck(this, SidePanel);

		var _this = _possibleConstructorReturn(this, (SidePanel.__proto__ || Object.getPrototypeOf(SidePanel)).call(this, props));

		_this.state = { docked: false };
		_this.toggleDock = _this.toggleDock.bind(_this);
		return _this;
	}

	_createClass(SidePanel, [{
		key: 'toggleDock',
		value: function toggleDock() {
			this.setState({ docked: !this.state.docked });
		}
	}, {
		key: 'render',
		value: function render() {
			var _this2 = this;

			var theme = this.props.theme || {};
			var actions = this.props.actions || [];
			var iconClass = (0, _classnames2.default)('fa', {
				'fa-arrow-left': !this.state.docked,
				'fa-arrow-right': this.state.docked
			});
			return _react2.default.createElement(
				'div',
				{ className: theme.sidePanel },
				_react2.default.createElement(
					_reactBootstrap.Button,
					{ onClick: this.toggleDock, bsStyle: 'link', className: theme.toggleBtn },
					'|',
					_react2.default.createElement('i', { className: iconClass })
				),
				_react2.default.createElement(
					'div',
					{ className: 'btn-group-vertical' },
					actions.map(function (action) {
						return _react2.default.createElement(_LinkDispatcher2.default, {
							key: action,
							action: action,
							icon: true,
							hideLabel: _this2.state.docked,
							className: theme.sidePanelLink
						});
					})
				)
			);
		}
	}]);

	return SidePanel;
}(_react2.default.Component);

SidePanel.propTypes = {
	actions: _react2.default.PropTypes.arrayOf(_react2.default.PropTypes.oneOfType([_react2.default.PropTypes.string, _react2.default.PropTypes.object])),
	theme: _react2.default.PropTypes.shape({
		sidePanel: _react2.default.PropTypes.string,
		sidePanelLink: _react2.default.PropTypes.string
	})
};

exports.default = SidePanel;