'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.PureAppHeaderBar = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _identifiers = require('../../identifiers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * The top bar is the place where the user finds useful information and tools
 * to describe the application
 * the logo, the name of the application, an optionnal global search,
 * few icons for feedback & onboarding and a menu to access logout
 * and profile information.
 * @param {object} props   react props
 */
function AppHeaderBar(props) {
	var logo = null;
	if (props.logo) {
		logo = _react2.default.createElement('img', {
			className: props.theme.logo,
			src: props.logo.src,
			alt: props.logo.alt,
			style: props.logo.style
		});
	}
	var link = _react2.default.createElement(
		'a',
		{ href: '#/', className: props.theme.link },
		logo,
		' ',
		props.app
	);
	if (props.link) {
		link = _react2.default.createElement(
			props.link,
			null,
			logo,
			' ',
			props.app
		);
	}
	var wrapper = (0, _classnames2.default)(props.theme.appHeaderBar, 'navbar');
	var brand = (0, _classnames2.default)(props.theme.brand, 'navbar-brand');
	return _react2.default.createElement(
		'div',
		{ className: wrapper },
		_react2.default.createElement(
			'div',
			{ className: brand },
			link
		),
		props.children
	);
}

AppHeaderBar.propTypes = {
	logo: _react2.default.PropTypes.shape({
		src: _react2.default.PropTypes.string,
		alt: _react2.default.PropTypes.string,
		style: _react2.default.PropTypes.object
	}),
	app: _react2.default.PropTypes.string,
	theme: _react2.default.PropTypes.shape({
		appHeaderBar: _react2.default.PropTypes.string,
		brand: _react2.default.PropTypes.string,
		link: _react2.default.PropTypes.string,
		logo: _react2.default.PropTypes.string
	})
};
exports.default = (0, _reactCssThemr.themr)(_identifiers.APP_HEADER_BAR)(AppHeaderBar);
exports.PureAppHeaderBar = AppHeaderBar;